﻿param(
 [Parameter(Mandatory=$true)]
 [string]
 $resourceGroupName = '',

 [Parameter(Mandatory=$true)]
 [string]
 $streamingJobName = ''
)

try 
{
    Write-Output "Starting Azure Stream Analytics Job: $streamingJobName"
    Start-AzureRmStreamAnalyticsJob -ResourceGroupName $resourceGroupName -Name $streamingJobName -OutputStartMode "JobStartTime";
}
catch 
{
    Write-Output "Error starting Azure Stream Analytics Job: $streamingJobName"
    Write-Error $_
}
